#built using mc-build (https://github.com/mc-build/mc-build)

execute as @a[scores={leave_game=1..}] run function mapjam:__generated__/execute/5064
bossbar set ghost_1 players @a[scores={ak.capture=1}]
bossbar set ghost_2 players @a[scores={ak.capture=2}]
bossbar set ghost_3 players @a[scores={ak.capture=3}]
execute if score cancel_phase gameinfo matches 1 if score normal_start gameinfo matches 1 run function mapjam:__generated__/execute/5069
scoreboard players operation $ghostteamC ak.var = $currentghostC ak.var
execute at @e[type=marker,tag=wait_spot] positioned ~ ~7 ~ store result score red_count gameinfo if entity @a[distance=..15,tag=red]
execute at @e[type=marker,tag=wait_spot] positioned ~ ~7 ~ store result score blue_count gameinfo if entity @a[distance=..15,tag=blue]
execute at @e[type=marker,tag=wait_spot] positioned ~ ~7 ~ store result score random_count gameinfo if entity @a[distance=..15,team=random]
execute if score active gameinfo matches 1 unless score cancel_phase gameinfo matches 1 run execute if score total_count gameinfo matches ..1 unless score forced_start gameinfo matches 1 run function mapjam:__generated__/execute/5075
execute unless score active gameinfo matches 1 run scoreboard players enable @a start
execute as @a[scores={start=1..}] at @s run function mapjam:__generated__/execute/5078
execute as @a[scores={stun.dur=1..}] at @s anchored eyes run particle minecraft:electric_spark ^ ^0.3 ^ 0.2 0.2 0.2 0.1 3
execute as @a[predicate=mapjam:stunned] at @s run function mapjam:__generated__/execute/5080
execute as @a[tag=ak.vacuum,scores={ak.vacuum=11..,vacuum_clock=0..1}] at @s run playsound minecraft:game.vaccuum_on neutral @a ~ ~ ~ 0.4 1.1
scoreboard players set @a[tag=ak.vacuum,scores={vacuum_clock=15..}] vacuum_clock 0
scoreboard players add @a[tag=ak.vacuum] vacuum_clock 1
scoreboard players add @a[tag=ak.vacuum] ak.vacuum 1
execute as @a[tag=!ak.vacuum,tag=ak.vacuum_end] at @s run function mapjam:__generated__/execute/5083
tag @a remove ak.vacuum
scoreboard players remove @a[tag=stunned] stun.dur 1
tag @a[scores={stun.dur=..0}] remove stunned
execute as @e[type=armor_stand,tag=aj.gate.root_entity,tag=!closed,tag=!new] at @s run function mapjam:__generated__/execute/5084
execute as @e[type=armor_stand,tag=aj.basement_gate.root_entity,tag=!closed,tag=!new] at @s run function mapjam:__generated__/execute/5088
execute as @a[tag=prevent.jump,tag=!processed] at @s run function mapjam:__generated__/execute/5092
execute as @a[tag=prevent.jump,tag=processed] at @s run function mapjam:__generated__/execute/5093
execute as @a[tag=processed,tag=!prevent.jump] at @s run function mapjam:__generated__/execute/5095
execute if score active_game gameinfo matches 0 run particle minecraft:witch -175 63.5 1224 1.25 1 1.25 1 15 force
tag @a remove ak.staring
execute as @e[type=armor_stand,tag=aj.trashcan.root_entity,tag=ak.opening] at @s run function mapjam:__generated__/execute/5098
execute as @e[type=armor_stand,tag=aj.trashcan.root_entity,tag=ak.hovering,tag=!ak.staring] at @s run function mapjam:__generated__/execute/5099
tag @e[type=armor_stand,tag=aj.trashcan.root_entity,tag=ak.closing,scores={aj.i=11}] remove ak.closing
tag @e[type=armor_stand] remove ak.staring
tag @e[type=armor_stand,tag=aj.trashcan.root_entity,tag=!ak.opening,tag=!ak.closing,scores={aj.i=9}] add ak.hovering
execute as @a[scores={ak.capture=1..}] at @s if entity @e[type=armor_stand,tag=aj.trashcan.root_entity,distance=..5] run function mapjam:__generated__/execute/5100
execute as @e[type=item,tag=!pickup] at @s run function mapjam:__generated__/execute/5108
execute if score active_game gameinfo matches 1 as @a[scores={ak.death=1..}] at @s run function mapjam:__generated__/execute/5109
execute at @e[type=marker,tag=lobby_spot,limit=1] run tp @a[tag=!setup] ~ ~ ~ -90 0
scoreboard players set @a[tag=!setup] stat.survive 0
scoreboard players set @a[tag=!setup] stat.kill 0
scoreboard players set @a[tag=!setup] stat.capture 0
scoreboard players set @a[tag=!setup] stat.souls 0
scoreboard players set @a[tag=!setup] stat.points 0
scoreboard players set @a[tag=!setup] ak.capture 0
tellraw @a[tag=!setup] ["",{"text":"Welcome to ","color":"#B9BBBE"},{"text":"Mage's manor","color":"aqua"},{"text":"! Before you start playing, please check out your ","color":"#B9BBBE"},{"text":"sound settings","underlined":false,"color":"#B9BBBE"},{"text":". Important game specific sounds are highlighted in ","color":"#B9BBBE"},{"text":"red","bold":true,"color":"red"},{"text":". \n\nIt is recommended you use a ","color":"#B9BBBE"},{"text":"vanilla ","bold":true,"color":"#B9BBBE"},{"text":"build of Minecraft in this minigame. Some modifications like shaders may cause ","color":"#B9BBBE"},{"text":"visual glitches","bold":true,"color":"#B9BBBE"},{"text":".","color":"#B9BBBE"}]
recipe take @a[tag=!setup] *
execute if score active gameinfo matches 1 run scoreboard players set @a[tag=!setup] leave_game 1
execute as @a[tag=!setup] at @s run playsound minecraft:game.magic_cast master @s ~ ~ ~ 0.5 1
gamemode adventure @a[tag=!setup]
tag @a add setup
effect give @a[team=hunter,scores={ak.capture=..0}] minecraft:speed 1 1 true
effect give @a[team=hunter,scores={ak.capture=1}] minecraft:speed 1 0 true
effect give @a[team=hunter,scores={ak.capture=3}] minecraft:slowness 1 0 true
effect clear @a[predicate=mapjam:stun_bat] weakness
effect give @a[predicate=!mapjam:stun_bat] minecraft:weakness 1000000 0 true
effect give @a saturation 10000 0 true
execute if score active gameinfo matches 1 run team join spectator @a[team=!pumpkin,team=!bat,team=!hunter,team=!ghost,team=!captured,team=!spectator,team=!random]
execute unless score active gameinfo matches 1 run team join random @a[team=]
execute if score active_game gameinfo matches 1 as @a[team=spectator,tag=!spectating] run function mapjam:__generated__/execute/5115
execute at @e[type=marker,tag=wait_spot] store result score blue_count gameinfo if entity @a[distance=..5,tag=blue]
execute at @e[type=marker,tag=wait_spot] store result score red_count gameinfo if entity @a[distance=..5,tag=red]
execute unless score active gameinfo matches 1 run tag @a remove playing
execute at @e[type=marker,tag=wait_spot] run tag @a[distance=..5] add playing
execute at @e[type=marker,tag=wait_spot] if score platform ak.var matches 1 unless entity @a[distance=..5] run function mapjam:__generated__/execute/5118
execute at @e[type=marker,tag=cauldron_spot] run function mapjam:__generated__/execute/5119
scoreboard players operation total_count gameinfo = red_count gameinfo
scoreboard players operation total_count gameinfo += blue_count gameinfo
scoreboard players operation total_count gameinfo += random_count gameinfo
execute unless score active gameinfo matches 1 unless score total_count gameinfo matches 2.. run title @a[tag=playing] actionbar "Waiting for 1 more player"
execute unless score active gameinfo matches 1 if score total_count gameinfo matches 2.. run function mapjam:controls/start
execute as @a[scores={cancel=1..}] at @s run function mapjam:__generated__/execute/5126
execute at @e[type=marker,tag=light] run setblock ~ ~ ~ air
kill @e[type=marker,tag=light]
execute at @e[type=marker,tag=flashlight] run setblock ~ ~ ~ air
kill @e[type=marker,tag=flashlight]
execute as @a[predicate=mapjam:lantern] at @s positioned ~ ~1 ~ run function mapjam:__generated__/execute/5131
execute as @a[predicate=mapjam:lantern_offhand] at @s positioned ~ ~1 ~ run function mapjam:__generated__/execute/5136
scoreboard players add @a[scores={ak.rclick=1..},predicate=mapjam:flashlight] ak.flashlight 1
execute as @a[scores={ak.rclick=1..},predicate=mapjam:flashlight] at @s run playsound minecraft:block.lever.click master @s ~ ~ ~ 1 1.4 0
scoreboard players set @a[scores={ak.flashlight=2..}] ak.flashlight 0
execute as @a[scores={ak.flashlight=1},predicate=mapjam:flashlight] at @s run function mapjam:__generated__/execute/5142
execute as @a[scores={ak.flashlight=0},tag=!flashlight.off] at @s run function mapjam:__generated__/execute/5165
execute as @a[scores={ak.flashlight=1},predicate=mapjam:flashlight_offhand] run function mapjam:__generated__/execute/5166
tag @a remove flashlight.on
tag @a remove flashlight.off
tag @a[scores={ak.flashlight=1}] add flashlight.on
tag @a[scores={ak.flashlight=0}] add flashlight.off
scoreboard players set @a ak.rclick 0
tp @e[type=slime,tag=!active] 0 255 0
tag @e[type=slime] remove active
execute unless score cancel_phase gameinfo matches 1 as @a[tag=!blue] at @s if block ~ ~-0.01 ~ light_blue_wool run function mapjam:__generated__/execute/5167
execute unless score cancel_phase gameinfo matches 1 as @a[tag=!red] at @s if block ~ ~-0.01 ~ orange_wool run function mapjam:__generated__/execute/5168
execute as @a[team=!spectator] at @s if block ~ ~-0.01 ~ light_gray_wool run function mapjam:__generated__/execute/5169
execute unless score cancel_phase gameinfo matches 1 as @a[team=!random] at @s if block ~ ~-0.01 ~ purple_wool run function mapjam:__generated__/execute/5170